<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "gMap"					                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

== Version: 4.1 / May 2013 ==

*/

if (!defined('CPO')) exit;
$translator->addTranslation('gmap', CPO_BASEDIR.$moduleDirectory.'/lang');

$GLOBALS['modules'][$moduleDirectory] = array(
    'directory' => $moduleDirectory,
    'caption'   => __('Google-Map') . ' ('.$moduleDirectory.')',
    'install'   => 'function: gMap_install '.$moduleDirectory,
    'activate'  => 'function: gMap_activate '.$moduleDirectory,
    'deactivate'=> 'function: gMap_deactivate',
    'uninstall' => 'function: gMap_uninstall '.$moduleDirectory,
    'manage'	=> 'function: gMap_manage '.$moduleDirectory,
	'owner'		=> $cpoSystem['owner'],
	'lkey'		=> '',
	'mod_id'	=> 25,
	'helptoc'	=> array(
		'bersicht' 
			=> 'http://manual.conpresso4.de/gmap/index.htm',
		'1. Was macht das Modul "gMap"?' 
			=> 'http://manual.conpresso4.de/gmap/features.htm',
		'2. Installation' 
			=> 'http://manual.conpresso4.de/gmap/setup.htm',
		'3. Einstellungen' 
			=> 'http://manual.conpresso4.de/gmap/settings.htm',
		'4. Anwendung' 
			=> 'http://manual.conpresso4.de/gmap/application.htm'
	),
	'externalHelpUrl'	=> 'http://manual.conpresso4.de',
	// presets in order of appearence
	'showArticles'		=> 'no',
	'pagetemplate_index'=> '0',
	// Map settings
    'width'			=> 450,
    'height'		=> 600,
    'mapOptions'			=> 'zoom: 6,
center: new google.maps.LatLng(51.165691,10.451526), // Center Germany
minZoom: 5, // Central Europe
maxZoom: 10, // 10=Region, 13=Town, 16=Street
mapTypeControl: true,
mapTypeControlOptions: {
    style: google.maps.MapTypeControlStyle.DROPDOWN_MENU
},
panControl: false,
overviewMapControl: true,
overviewMapControlOptions: {
    opened: false
},
zoomControl: true,
zoomControlOptions: {
    style: google.maps.ZoomControlStyle.LARGE
},
mapTypeId: google.maps.MapTypeId.ROADMAP //ROADMAP, SATELLITE, HYBRID, TERRAIN
',
	'rubricsUse'		=> 'off',
	'rubrics'			=> array(),
	// Location settings
	'latitudePH'		=> __('Latitude'),
	'longitudePH'		=> __('Longitude'),
    'iconPH'			=> __('Icon'),
	'placesFile'		=> 'places.txt',
    // Controls
	'reset'		        => 'Karte zurcksetzen',
	'capitals'		    => 'Berlin;Hamburg;Hannover;Dortmund;Kln;Frankfurt;Stuttgart;Mnchen',
	'country'		    => 'Germany',
	'searchForm'		=> 'Locations rund um; PLZ Ort eingeben...; zeigen '
	);

$gMap_cp = (license($activeModules[$moduleDirectory]['lkey'],$activeModules[$moduleDirectory]['mod_id']) != 1) ? "\n\n<!-- \n	Conpresso-gMap-Modul von M. Rsel\n	Dieses Modul unterliegt den beim Download vereinbarten Lizenzbestimmungen!\n-->\n\n" : '' ;

if (!function_exists('gMap_install')) {
	function gMap_install($moduleDirectory)
	{
		$mdb = new DB;
		$mdb->query("INSERT INTO ".CPO_OPTION." (type, options, id) VALUES ('gMap', '".serialize(array("installed"=>time()))."', '') ");
		$GLOBALS['message'][] = __('The map module was successfully installed!');
		log_gMap();
	}
}
if (!function_exists('gMap_uninstall')) {
	function gMap_uninstall($moduleDirectory)
	{
		 $GLOBALS['message'][] = sprintf(__('The map module was removed from the ConPresso system. Please remove the module directory <i>%s</i> to finally uninstall the map module.'),$moduleDirectory);

	}
}
if (!function_exists('gMap_activate')) {
	function gMap_activate($moduleDirectory)
	{
		$GLOBALS['message'][] = __('The map module got activated.');
		$GLOBALS['message'][] = sprintf(__('If you want some example templates to be installed please run the <a href="%s">template-setup</a>.'),
		BASE_ABS.$moduleDirectory.'/setup.php');
	}
}

if (!function_exists('gMap_deactivate')) {
	function gMap_deactivate()
	{
		$GLOBALS['message'][] = __('The map module got deactivated.');
	}
}

if (!function_exists('log_gMap')) {
	function log_gMap()
	{
		global $cpoSystem;
		$mptc = new DB;
		$mptc->query('SELECT id, name FROM '.CPO_RUBRIC.' ');
		$mptc->next_record();
		@mail('kontakt@conpresso4.de','Das Modul Google-Map wurde unter '.BASE_ABS.' installiert', BASE_ABS.'_rubric/index.php?rubric='.$mptc->v('name'),'From: '.$cpoSystem['admin_email']);
	}
}
if (!function_exists('gMap_manage')) {
	function gMap_manage($moduleDirectory)
	{
		global $dbPrefix, $db, $k, $module_status, $newsletter_rubric_id;
		if(array_key_exists($k, $module_status) && $module_status[$k]!=MODULE_INACTIVE)  {
			echo '<a href="'.BASE_ABS.$GLOBALS['modules'][$moduleDirectory]['directory'].'/settings.php"><img src="'.SKIN_URL.'pic_settings.gif" title="'.__('Map settings').'" alt="'.__('Map settings').'"></a>';
		} else {
			echo '<img src="'.SKIN_URL.'pic_shade.gif" class="pic_" style="background: url('.SKIN_URL.'pic_settings.gif);" alt="'.  __('not available').'" title="'.__('not available').'">';
		}
	}
}

$mptc = new DB;
$mptc->query('SELECT options FROM '.CPO_OPTION.' '
		  ."WHERE type='gMap' ORDER BY id ASC LIMIT 0,1");
while ($mptc->next_record()) {
	$options = $mptc->v('options');
	$MapOpt = unserialize($options);
	if (!is_array($MapOpt)) break;
	foreach ($MapOpt as $mapkey=>$mapvalue) {
		$activeModules[$moduleDirectory][$mapkey] = $mapvalue;
	}
}

if (	license($activeModules[$moduleDirectory]['lkey'],$activeModules[$moduleDirectory]['mod_id']) != 1 &&
		license($activeModules[$moduleDirectory]['lkey'],$activeModules[$moduleDirectory]['mod_id']) != 2 &&
		license($activeModules[$moduleDirectory]['lkey'],$activeModules[$moduleDirectory]['mod_id']) != 3 &&
		$activeModules[$moduleDirectory]['installed']<(time()-90*24*60*60) && 
		!isset($_POST['go']) &&
		@file_exists(CPO_BASEDIR.$activeModules[$moduleDirectory]['directory'].'/producer.inc.php')
	) 
	{
	include(CPO_BASEDIR.$activeModules[$moduleDirectory]['directory'].'/producer.inc.php');
	$message['license'] = '<strong>'.sprintf(___('Your 90 days %s evaluation period has expired!'),
		htmlspecialchars($MOD['product'], ENT_COMPAT, 'ISO-8859-15')).'</strong> ';
	$mapbreak = true;
}



?>